#ifndef __SBOT_H__
# define __SBOT_H__

# include <glib-object.h>

# define SSB_TYPE_SCUTTLER ssb_scuttler_get_type()
G_DECLARE_FINAL_TYPE(SsbScuttler, ssb_scuttler, SSB, SCUTTLER, GInitiallyUnowned)

typedef enum {
    SSB_SCUTTLER_ERROR_KEYGEN,
    SSB_SCUTTLER_ERROR_KEYAUTH,
    SSB_SCUTTLER_ERROR_KEYVERIFY,
    SSB_SCUTTLER_ERROR_AUTH,
} SsbScuttlerError;

G_BEGIN_DECLS

gpointer scuttle(gchar *ssb_dir);
void stop_scuttling(void);

# define SSB_SCUTTLER_ERROR (ssb_scuttler_error_quark())
GQuark ssb_scuttler_error_quark(void);

G_END_DECLS

#endif  /* __SBOT_H__ */
